/* 动画 */
@keyframes fadeIn {
  from { opacity: 0; transform: translateY(30px); }
  to   { opacity: 1; transform: translateY(0); }
}

.fade {
  opacity: 0;
  animation: fadeIn .8s ease forwards;
}

/* 平滑滚动 */
html {
  scroll-behavior: smooth;
}


@font-face {
    font-family: 'Minecraft'; 
    src: url('fonts/Minecraft.ttf');
    font-weight: normal; /* 粗细 */
    font-style: normal; /* 样式 */    
}
@font-face {
    font-family: 'MinecraftTen'; 
    src: url('fonts/MinecraftTen.ttf');
    font-weight: normal; /* 粗细 */
    font-style: normal; /* 样式 */    
}

body, 
body * {
    transition: background-color 0.3s ease,
    color 0.3s ease,
    border-color 0.3s ease,
    box-shadow 0.3s ease;
				}

body {
				background-image: linear-gradient(to bottom right, #F5CAF5, #83E7FF);
				background-attachment: fixed;           
				background-size: cover;            
				background-repeat: no-repeat;           
				min-height: 100vh;                         
				margin: 0;        
				}
body.dark {
				background-image: linear-gradient(to bottom right, #3F3442, #1D3D48);
				background-attachment: fixed;           
				background-size: cover;            
				background-repeat: no-repeat;           
				min-height: 100vh;                         
				margin: 0;      
   }

button {
				background-color: rgba(0,0,0,0.3);
				min-height: 20px;
				border-radius: 5px;
				box-shadow: 1px 1px 4px rgba(0,0,0,0.4);
				border: none;
				min-width: 60px;
				min-height: 25px;
				transition: border 0.1s ease, 
				background-color 0.2s ease;
}
button:hover {
   background-color: rgba(0,0,0,0.5);
			 border:1px solid white;
}

hr {
				border: none;
				background-color: #000;
				height: 1px;
}
body.dark hr {
				background-color: #FFF;
}

h1,
.box-3 h5 {
			 margin-left: 10px;
 			font-family: MinecraftTen;
 			line-height: 0.5;
}
h3,
h5 {
				line-height: 1;
}
body.dark h1,
body.dark h3,
body.dark a,
body.dark button {
				color: #FFF;
}

p,
a {
				font-size: 12px;
				text-decoration: none;
}

a {
				color: #000;
}

body.dark {
				color: #c6c6c6
}

/* 板块 */
.box {
				background-color: rgba(0,0,0,0.3);
				min-height: 20px;
				border-radius: 5px;
				box-shadow: 2px 2px 8px rgba(0,0,0,0.4);
				margin: 10px;
				padding: 10px;
}
body.dark .box,
body.dark button {
				background-color: rgba(255,255,255,0.1);
				box-shadow: 2px 2px 8px rgba(0,0,0,0.4);
}
.begin box {
				margin: 0;
}

.box-2 {
				background-color: rgba(0,0,0,0.2);
				min-height: 20px;
				border-radius: 5px;
				padding: 5px;
}
.box-2 img {
				width: 100%;
				border-radius: 5px;
				display: block;
}
.box-3 {
				min-height: 20px;
				border-radius: 6px;
				padding: 0;
				margin-bottom: 0px;
				border:2px solid rgba(0,0,0,0.1);
}
.box-3 p {
				margin-left: 10px;
				white-space: pre-line;
}
.box-button {
				display: block;
				margin-top: 5px;
				width: 100%;
				padding: 10px;
}

/* 1w */
.gold {
    position: relative;
    background: linear-gradient(to bottom right, rgba(0,0,0,0), rgba(129,113,64,.4));
    border: none;
    padding: 1px;
    border-radius: 5px;
    padding: 10px;
}

.gold::before {
    content: '';
    position: absolute;
    inset: 0;
    border-radius: 5px;
    background: linear-gradient(to bottom right, #BAA86A, #564C29);
    mask:
        linear-gradient(#000 0 0) content-box,
        linear-gradient(#000 0 0) padding-box;
    mask-composite: exclude;
    padding: 1px;
}

/* 分隔盒 */
.split {
  display: flex;
  align-items: center;   /* 垂直居中，可选 */
  gap: 16px;             /* 左右间距，可选 */
}

.left,
.right {
  flex: 1;               /* 各占 50 % */
}

.right img {
  width: 100%;
  height: auto;
  display: block;
}

/* 日志板块 */
.update-card {
    cursor: pointer;
    user-select: none;
    overflow: hidden;
    transition: max-height .3s ease;
    max-height: 16px;
}
/* 展开后 */
.update-card.open {
    max-height: 200px;
}
/* 标题行 */
.update-title {
    font-size: 10px;
    margin: 2px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
  /* 箭头旋转 */
.arrow {
    transition: transform .3s;
}
.update-card.open .arrow {
    transform: rotate(180deg);
}
/* 日志列表默认隐藏 */
.update-list {
    margin: 2px 0 0 10px;
    font-size: 10px;
    white-space: pre-line;
}

/* 左下角徽标 */
.logo {
				z-index: -2;
				opacity: 0.4;
}
body.dark .logo {
  filter: brightness(0) invert(1);   /* 先压成黑，再反成白 */
}
